# Microsoft.Samples.DirectX.UtilityToolkit.SettingsDialog Class Reference

Dialog for selection of device settings. More...

Collaboration diagram for Microsoft.Samples.DirectX.UtilityToolkit.SettingsDialog:

[legend]

List of all members.

## Public Member Functions
| SettingsDialog (Framework sample)
| Creates a new settings dialog.
void | Refresh ()
| Changes the UI defaults to the current device settings.
void | OnRender (float elapsedTime)
| Render the dialog.
void | HandleMessages (IntPtr hWnd, NativeMethods.WindowMessage msg, IntPtr wParam, IntPtr lParam)
| Hand messages off to dialog.
void | OnCreateDevice (Device d)
| Called when the device is created.
void | OnResetDevice ()
| Called when the device is reset.
void | OnLostDevice ()
| Called when the device is lost.
void | OnDestroyDevice (object sender, EventArgs e)
| Destroy any resources.
| SettingsDialog (Framework sample)
| Creates a new settings dialog.
void | Refresh ()
| Changes the UI defaults to the current device settings.
void | OnRender (float elapsedTime)
| Render the dialog.
void | HandleMessages (IntPtr hWnd, NativeMethods.WindowMessage msg, IntPtr wParam, IntPtr lParam)
| Hand messages off to dialog.
void | OnCreateDevice (Device d)
| Called when the device is created.
void | OnResetDevice ()
| Called when the device is reset.
void | OnLostDevice ()
| Called when the device is lost.
void | OnDestroyDevice (object sender, EventArgs e)
| Destroy any resources.
| SettingsDialog (Framework sample)
| Creates a new settings dialog.
void | Refresh ()
| Changes the UI defaults to the current device settings.
void | OnRender (float elapsedTime)
| Render the dialog.
void | HandleMessages (IntPtr hWnd, NativeMethods.WindowMessage msg, IntPtr wParam, IntPtr lParam)
| Hand messages off to dialog.
void | OnCreateDevice (Device d)
| Called when the device is created.
void | OnResetDevice ()
| Called when the device is reset.
void | OnLostDevice ()
| Called when the device is lost.
void | OnDestroyDevice (object sender, EventArgs e)
| Destroy any resources.

## Detailed Description

Dialog for selection of device settings.

Definition at line 48 of file dxmutSettingsDlg.cs.

## Constructor & Destructor Documentation

Microsoft.Samples.DirectX.UtilityToolkit.SettingsDialog.SettingsDialog | ( | Framework | sample | ) |

Creates a new settings dialog.

Definition at line 52 of file dxmutSettingsDlg.cs.

Microsoft.Samples.DirectX.UtilityToolkit.SettingsDialog.SettingsDialog | ( | Framework | sample | ) |

Creates a new settings dialog.

Definition at line 52 of file dxmutSettingsDlg.cs.

Microsoft.Samples.DirectX.UtilityToolkit.SettingsDialog.SettingsDialog | ( | Framework | sample | ) |

Creates a new settings dialog.

Definition at line 52 of file wdxmutSettingsDlg.cs.

## Member Function Documentation

void Microsoft.Samples.DirectX.UtilityToolkit.SettingsDialog.HandleMessages | ( | IntPtr | hWnd,
|  | NativeMethods.WindowMessage | msg,
|  | IntPtr | wParam,
|  | IntPtr | lParam |
| ) |  |  |

Hand messages off to dialog.

Definition at line 254 of file wdxmutSettingsDlg.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.SettingsDialog.HandleMessages | ( | IntPtr | hWnd,
|  | NativeMethods.WindowMessage | msg,
|  | IntPtr | wParam,
|  | IntPtr | lParam |
| ) |  |  |

Hand messages off to dialog.

Definition at line 254 of file dxmutSettingsDlg.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.SettingsDialog.HandleMessages | ( | IntPtr | hWnd,
|  | NativeMethods.WindowMessage | msg,
|  | IntPtr | wParam,
|  | IntPtr | lParam |
| ) |  |  |

Hand messages off to dialog.

Definition at line 254 of file dxmutSettingsDlg.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.SettingsDialog.OnCreateDevice | ( | Device | d | ) |

Called when the device is created.

Definition at line 262 of file wdxmutSettingsDlg.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.SettingsDialog.OnCreateDevice | ( | Device | d | ) |

Called when the device is created.

Definition at line 262 of file dxmutSettingsDlg.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.SettingsDialog.OnCreateDevice | ( | Device | d | ) |

Called when the device is created.

Definition at line 262 of file dxmutSettingsDlg.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.SettingsDialog.OnDestroyDevice | ( | object | sender,
|  | EventArgs | e |
| ) |  |  |

Destroy any resources.

Definition at line 315 of file wdxmutSettingsDlg.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.SettingsDialog.OnDestroyDevice | ( | object | sender,
|  | EventArgs | e |
| ) |  |  |

Destroy any resources.

Definition at line 315 of file dxmutSettingsDlg.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.SettingsDialog.OnDestroyDevice | ( | object | sender,
|  | EventArgs | e |
| ) |  |  |

Destroy any resources.

Definition at line 315 of file dxmutSettingsDlg.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.SettingsDialog.OnLostDevice | ( |  | ) |

Called when the device is lost.

Definition at line 306 of file wdxmutSettingsDlg.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.SettingsDialog.OnLostDevice | ( |  | ) |

Called when the device is lost.

Definition at line 306 of file dxmutSettingsDlg.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.SettingsDialog.OnLostDevice | ( |  | ) |

Called when the device is lost.

Definition at line 306 of file dxmutSettingsDlg.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.SettingsDialog.OnRender | ( | float | elapsedTime | ) |

Render the dialog.

Definition at line 245 of file wdxmutSettingsDlg.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.SettingsDialog.OnRender | ( | float | elapsedTime | ) |

Render the dialog.

Definition at line 245 of file dxmutSettingsDlg.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.SettingsDialog.OnRender | ( | float | elapsedTime | ) |

Render the dialog.

Definition at line 245 of file dxmutSettingsDlg.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.SettingsDialog.OnResetDevice | ( |  | ) |

Called when the device is reset.

Definition at line 284 of file wdxmutSettingsDlg.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.SettingsDialog.OnResetDevice | ( |  | ) |

Called when the device is reset.

Definition at line 284 of file dxmutSettingsDlg.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.SettingsDialog.OnResetDevice | ( |  | ) |

Called when the device is reset.

Definition at line 284 of file dxmutSettingsDlg.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.SettingsDialog.Refresh | ( |  | ) |

Changes the UI defaults to the current device settings.

Definition at line 175 of file wdxmutSettingsDlg.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.SettingsDialog.Refresh | ( |  | ) |

Changes the UI defaults to the current device settings.

Definition at line 175 of file dxmutSettingsDlg.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.SettingsDialog.Refresh | ( |  | ) |

Changes the UI defaults to the current device settings.

Definition at line 175 of file dxmutSettingsDlg.cs.

Here is the caller graph for this function:

The documentation for this class was generated from the following files:

- D:/guillaume/guillara/3D/DXGfx/Backup/DXCommon/dxmutSettingsDlg.cs
- D:/guillaume/guillara/3D/DXGfx/DXCommon/dxmutSettingsDlg.cs
- D:/guillaume/guillara/3D/DXGfx/DXCommon/wdxmutSettingsDlg.cs